﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default7 : System.Web.UI.Page
{

	private string[] DataKey = { "ID" };
	private string[] ParentKey = { "ParentID" };

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		MenuManager.Skin = "Default";
		MenuManager.AllowPaging = false;
		MenuManager.AutoGenerateColumns = false;
		MenuManager.GridLines = TreeListGridLines.Both;
		MenuManager.ShowTreeLines = false;
		MenuManager.NeedDataSource += MenuManager_NeedDataSource;
		MenuManager.InsertCommand += MenuManager_InsertCommand;
		MenuManager.UpdateCommand += MenuManager_UpdateCommand;
		MenuManager.DeleteCommand += MenuManager_DeleteCommand;
		MenuManager.ItemDataBound += MenuManager_ItemDataBound;
		MenuManager.ItemCommand += MenuManager_ItemCommand;
		MenuManager.ClientSettings.AllowItemsDragDrop = true;
		MenuManager.ClientSettings.Selecting.AllowItemSelection = true;
		MenuManager.AllowMultiItemSelection = true;
		MenuManager.DataKeyNames = DataKey;
		MenuManager.ParentDataKeyNames = ParentKey;

	}

	protected override void OnLoad(EventArgs e)
	{
		base.OnLoad(e);
		if (!IsPostBack)
		{
			MenuManager.ExpandToLevel(1);
		}
	}

	protected void MenuManager_NeedDataSource(object sender, TreeListNeedDataSourceEventArgs e)
	{
		MenuManager.DataSource = MyData.GetData();

	}

	public class MyData
	{
		public static List<MyItem> GetData()
		{
			List<MyItem> list = new List<MyItem>();
			list.Add(new MyItem("A", "Appetizers", "", null, null, true, ""));
			list.Add(new MyItem("B", "Beverages", "", null, null, true, ""));
			list.Add(new MyItem("C", "Cheese", "", null, null, false, ""));
			list.Add(new MyItem("A1", "Southwestern Twisted Chips", "150 gr.", 6.79, 1.22, false, "A"));
			list.Add(new MyItem("A2", "Top Shelf Combo Appetizer", "300 gr.", 9.49, 2.56, true, "A"));
			list.Add(new MyItem("B1", "Sangria", "90 ml.", 6.49, 1.34, true, "B"));
			list.Add(new MyItem("B2", "Margarita", "60 ml.", 7.39, 1.89, false, "B"));
			list.Add(new MyItem("B3", "Red Cherry Boost", "200 ml.", 6.99, 1.53, false, "B"));
			list.Add(new MyItem("B4", "Mojito", "180 ml.", 7.59, 2.03, true, "B"));
			list.Add(new MyItem("C1", "Blue Cheese and Hazelnut Shortbread", "220 gr.", 10.69, 3.15, false, "C"));
			list.Add(new MyItem("C2", "Avocado Feta Salsa", "240 gr.", 7.19, 1.96, false, "C"));
			return list;
		}
	}
	public class MyItem
	{
		public string ID { get; set; }
		public string ProductName { get; set; }
		public string Quantity { get; set; }
		public double? Price { get; set; }
		public double? Discount { get; set; }
		public bool InStock { get; set; }
		public string ParentID { get; set; }
		public MyItem(string id, string productName, string quantity, double? price, double? discount, bool inStock, string parentID)
		{
			ID = id;
			ProductName = productName;
			Quantity = quantity;
			Price = price;
			Discount = discount;
			InStock = inStock;
			ParentID = parentID;

		}
	}

	protected void MenuManager_ItemCommand(object sender, TreeListCommandEventArgs e)
	{
		if (e.CommandName == RadTreeList.InitInsertCommandName)
		{
			Response.Write("Edit form opened <br/>");
			MenuManager.ClientSettings.Reordering.AllowColumnsReorder = false;
		}
		if (e.CommandName == RadTreeList.CancelCommandName)
		{
			MenuManager.ClientSettings.Reordering.AllowColumnsReorder = true;
		}
	}

	protected void MenuManager_ItemDataBound(object sender, TreeListItemDataBoundEventArgs e)
	{
		//irrelevant
	}

	protected void MenuManager_InsertCommand(object sender, TreeListCommandEventArgs e)
	{

		if ((e.Item as TreeListEditFormItem).ParentItem == null)
		{
			Response.Write("Root item inserted <br/>");
		}
		else
		{
			Response.Write("Item inserted <br/>");
		}
	}

	protected void MenuManager_UpdateCommand(object sender, TreeListCommandEventArgs e)
	{
		Response.Write("Item updated <br/>");
	}

	protected void MenuManager_DeleteCommand(object sender, TreeListCommandEventArgs e)
	{
		//irrelevant
	}



}